%define upstream_name       Template-Toolkit
%define upstream_version 2.24
%define _provides_exceptions perl(CGI)\\|perl(My::

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    %{upstream_name} module for perl
License:    GPL
Group:      Development/Perl
Url:        http://www.template-toolkit.org
Source0:    http://www.cpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AppConfig) >= 1.560.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(File::Temp) >= 0.120.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl-devel >= 0:5.600
Requires:   perl >= 0:5.600
%description
The Template Toolkit is a collection of modules which implement a
fast, flexible, powerful and extensible template processing system.
It was originally designed and remains primarily useful for generating
dynamic web content, but it can be used equally well for processing
any other kind of text based documents: HTML, XML, POD, PostScript,
LaTeX, and so on.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

# perl path hack
find ./ -type f | \
    xargs perl -pi -e 's|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|'

%build
%{__perl} Makefile.PL \
    TT_XS_ENABLE="y" \
    TT_XS_DEFAULT="y" \
    INSTALLDIRS=vendor </dev/null
%make CFLAGS="%{optflags}"

%install
%makeinstall_std

%files
%doc Changes HACKING INSTALL META.json META.yml MYMETA.yml README TODO
%{perl_vendorarch}/Template*
%{perl_vendorarch}/auto/Template
%{_mandir}/*/*
%{_bindir}/*

%changelog

* Thu Feb 23 2012 jquelin <jquelin> 2.240.0-1.mga2
+ Revision: 213189
- update to 2.24

* Wed Jan 25 2012 jquelin <jquelin> 2.230.0-1.mga2
+ Revision: 201020
- update to 2.23

* Sun Jun 12 2011 sander85 <sander85> 2.220.0-5.mga2
+ Revision: 104732
- Rebuild for perl 5.14

* Sun Jan 23 2011 jquelin <jquelin> 2.220.0-4.mga1
+ Revision: 34230
- mageia rebuild
- imported package perl-Template-Toolkit


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 2.220.0-4mdv2011.0
+ Revision: 564582
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 2.220.0-3mdv2011.0
+ Revision: 556155
- rebuild for perl 5.12

* Fri Apr 30 2010 Funda Wang <fwang@mandriva.org> 2.220.0-2mdv2010.1
+ Revision: 541166
- fix summary

* Fri Jul 24 2009 Jérôme Quelin <jquelin@mandriva.org> 2.220.0-1mdv2010.0
+ Revision: 399469
- update to 2.22

* Tue Jul 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.210.0-1mdv2010.0
+ Revision: 393194
- new version
- spec cleanup

* Tue Jun 09 2009 Jérôme Quelin <jquelin@mandriva.org> 2.20-1mdv2010.0
+ Revision: 384330
- patching makefile.pl to go through all the steps
- update to 2.20

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 2.19-3mdv2009.0
+ Revision: 224064
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 2.19-2mdv2008.1
+ Revision: 151257
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 21 2007 Michael Scherer <misc@mandriva.org> 2.19-1mdv2008.0
+ Revision: 29091
- Update to new version 2.19


* Wed Mar 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.18-1mdv2007.1
+ Revision: 134809
- new version
- Import perl-Template-Toolkit

* Sat May 27 2006 Scott Karns <scottk@mandriva.org> 2.15-2mdv2007.0
- Added versioned provides for perl-Template

* Sat May 27 2006 Scott Karns <scottk@mandriva.org> 2.15-1mdv2007.0
- 2.15
- Updated BuildRequires per version 2.15
- Updated _provides_exceptions to eliminate bogus provide perl(My::*)
- Template::Plugin::DBI modules are now provided by perl-Template-DBI
- Template::Plugin::XML modules are now provided by perl-Template-XML

* Fri Jul 29 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.14-3mdk 
- fix package name to be policy compliant
- drop tetex requires

* Thu Mar 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.14-2mdk
- Don't provide perl(CGI) and other perl modules already found otherwise

* Tue Nov 16 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.14-1mdk
- 2.14

* Tue Jul 27 2004 Stefan van der Eijk <stefan@mandrake.org> 2.13-1mdk
- 2.13

